apiVersion: v1
kind: Secret
metadata:
  name: postgresql-secret
type: Opaque
data:
  {{ $dbDSN := printf "postgres://%s:%s@%s:%d/%s" .Values.db.username .Values.db.password .Values.db.host (int .Values.db.port) .Values.db.dbname -}}
  CMD_DB_URL: {{ $dbDSN | b64enc }}

---

apiVersion: v1
kind: Secret
metadata:
  name: session-secret
type: Opaque
data:
  CMD_SESSION_SECRET: {{ .Values.sessionSecret | b64enc }}

---

apiVersion: v1
kind: Secret
metadata:
  name: oauth2-secret
type: Opaque
data:
  CMD_OAUTH2_CLIENT_ID: {{ .Values.oauth.clientId | b64enc }}
  CMD_OAUTH2_CLIENT_SECRET: {{ .Values.oauth.clientSecret | b64enc }}
